package com.siwei.rsmonitoring.service.impl;

import java.util.List;
import com.siwei.common.core.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.siwei.rsmonitoring.mapper.TZdkjbxxMapper;
import com.siwei.rsmonitoring.domain.TZdkjbxx;
import com.siwei.rsmonitoring.service.ITZdkjbxxService;

/**
 * 地块基本信息（DKJBXX）Service业务层处理
 * 
 * @author siwei
 * @date 2025-01-20
 */
@Service
public class TZdkjbxxServiceImpl implements ITZdkjbxxService 
{
    @Autowired
    private TZdkjbxxMapper tZdkjbxxMapper;

    /**
     * 查询地块基本信息（DKJBXX）
     * 
     * @param id 地块基本信息（DKJBXX）主键
     * @return 地块基本信息（DKJBXX）
     */
    @Override
    public TZdkjbxx selectTZdkjbxxById(String id)
    {
        return tZdkjbxxMapper.selectTZdkjbxxById(id);
    }

    /**
     * 查询地块基本信息（DKJBXX）列表
     * 
     * @param tZdkjbxx 地块基本信息（DKJBXX）
     * @return 地块基本信息（DKJBXX）
     */
    @Override
    public List<TZdkjbxx> selectTZdkjbxxList(TZdkjbxx tZdkjbxx)
    {
        return tZdkjbxxMapper.selectTZdkjbxxList(tZdkjbxx);
    }

    /**
     * 新增地块基本信息（DKJBXX）
     * 
     * @param tZdkjbxx 地块基本信息（DKJBXX）
     * @return 结果
     */
    @Override
    public int insertTZdkjbxx(TZdkjbxx tZdkjbxx)
    {
        tZdkjbxx.setCreateTime(DateUtils.getNowDate());
        return tZdkjbxxMapper.insertTZdkjbxx(tZdkjbxx);
    }

    /**
     * 修改地块基本信息（DKJBXX）
     * 
     * @param tZdkjbxx 地块基本信息（DKJBXX）
     * @return 结果
     */
    @Override
    public int updateTZdkjbxx(TZdkjbxx tZdkjbxx)
    {
        tZdkjbxx.setUpdateTime(DateUtils.getNowDate());
        return tZdkjbxxMapper.updateTZdkjbxx(tZdkjbxx);
    }

    /**
     * 批量删除地块基本信息（DKJBXX）
     * 
     * @param ids 需要删除的地块基本信息（DKJBXX）主键
     * @return 结果
     */
    @Override
    public int deleteTZdkjbxxByIds(String[] ids)
    {
        return tZdkjbxxMapper.deleteTZdkjbxxByIds(ids);
    }

    /**
     * 删除地块基本信息（DKJBXX）信息
     * 
     * @param id 地块基本信息（DKJBXX）主键
     * @return 结果
     */
    @Override
    public int deleteTZdkjbxxById(String id)
    {
        return tZdkjbxxMapper.deleteTZdkjbxxById(id);
    }
}
